<%@ page session="true" %>
<%@ page import="org.nuxeo.tools.addons.downloader.ResourceListingBuilder" %>
<%@ page import="java.util.List" %>
<%@ page import="org.nuxeo.tools.addons.downloader.ResourceDescriptor" %>
<%@ include file="header.jsp" %>

<%
  List<String> versions = ResourceListingBuilder.getVersions();
  String version = request.getParameter("version");
  if (version == null) {
    version = versions.get(0);
  }
%>

<h1>List of Available Add-ons for your Nuxeo Platform</h1>

<table class="dataSelect" align="center">
 <tr>
  <td class="selectYourVersion">Please select your Nuxeo EP version:</td>
  <td>
  <form><select onchange="selectVersion(this[this.selectedIndex].value);" name="version">
  <%
  for (String v : versions) {
  %>
  <option
  <% if (v.equals(version)) {%>
  selected
  <%}%>
  value="<%=v%>"><%=v%></option>
  <%
  }
  %>
</select></form>
</td>
</tr>
</table>

<%
List<ResourceDescriptor> artifacts= ResourceListingBuilder.getResourcesForVersion(version);
%>
<table class="dataOuput">
<thead>
 <tr>
   <td class="title"> Artifact Id </td>
   <td class="title"> Short Description </td>
   <td class="title"> Dependencies </td>
   <td class="title"> Download </td>
   <td class="title"> Documentation </td>
 </tr>
</thead>
<tbody>
<%
  int i = 0;
  for (ResourceDescriptor artifact : artifacts) {
    i += 1;
    String rowClass;
    if (i % 2 == 0) {
      rowClass = "evenRow";
    } else {
      rowClass = "oddRow";
    }
%>
<tr class="<%=rowClass%>">
  <td><%=artifact.getArtifactId()%></td>
  <td><%=artifact.getLabel()%> <A href="#" onClick="return showDesc(event,'<%=artifact.getArtifactId()%>');">(?)</A></td>
  <td class="icon"><a href="#" onclick="return showDeps(event,'<%=artifact.getArtifactId()%>');"><img src="../img/dependencies.png"></a></td>
  <td class="icon"><a href="../download?version=<%=version%>&id=<%=artifact.getArtifactId()%>"><img src="../img/download.png"></a></td>
  <td class="icon"><a href="<%=ResourceListingBuilder.getDocumentationBasePath()+artifact.getDocURLSuffix()%>" target="doc"><img src="../img/docbook.png"></a></td>
<%} %>
</tr>
</tbody>
</table>
<%for (ResourceDescriptor artifact : artifacts) {%>
<div id="<%="desc_" + artifact.getArtifactId()%>" class="description">
  <%=artifact.getDescription() %>
</div>
<div id="<%="deps_" + artifact.getArtifactId()%>" class="dependencies">
  <%=artifact.getDependenciesAsString()%>
</div>
<%} %>
<%@ include file="footer.jsp" %>